Loading...
Searching...
No Matches
wayland::server::output_transform Struct Reference

transform from framebuffer to output More...

`#include <wayland-server-protocol.hpp>`

Inherits wayland::detail::bitfield< size, id >.

## Static Public Attributes

static const wayland::detail::bitfield< 3, 21 > | normal
| no transform
static const wayland::detail::bitfield< 3, 21 > | _90
| 90 degrees counter-clockwise
static const wayland::detail::bitfield< 3, 21 > | _180
| 180 degrees counter-clockwise
static const wayland::detail::bitfield< 3, 21 > | _270
| 270 degrees counter-clockwise
static const wayland::detail::bitfield< 3, 21 > | flipped
| 180 degree flip around a vertical axis
static const wayland::detail::bitfield< 3, 21 > | flipped_90
| flip and rotate 90 degrees counter-clockwise
static const wayland::detail::bitfield< 3, 21 > | flipped_180
| flip and rotate 180 degrees counter-clockwise
static const wayland::detail::bitfield< 3, 21 > | flipped_270
| flip and rotate 270 degrees counter-clockwise

## Detailed Description

transform from framebuffer to output

This describes the transform that a compositor will apply to a surface to compensate for the rotation or mirroring of an output device.

The flipped values correspond to an initial flip around a vertical axis followed by rotation.

The purpose is mainly to allow clients to render accordingly and tell the compositor, so that for fullscreen surfaces, the compositor will still be able to scan out directly from client surfaces.

Definition at line 3992 of file wayland-server-protocol.hpp.

## Member Data Documentation

## _180

const wayland::detail::bitfield<3, 21> wayland::server::output_transform::_180

static

180 degrees counter-clockwise

Definition at line 4003 of file wayland-server-protocol.hpp.

## _270

const wayland::detail::bitfield<3, 21> wayland::server::output_transform::_270

static

270 degrees counter-clockwise

Definition at line 4005 of file wayland-server-protocol.hpp.

## _90

const wayland::detail::bitfield<3, 21> wayland::server::output_transform::_90

static

90 degrees counter-clockwise

Definition at line 4001 of file wayland-server-protocol.hpp.

## flipped

const wayland::detail::bitfield<3, 21> wayland::server::output_transform::flipped

static

180 degree flip around a vertical axis

Definition at line 4007 of file wayland-server-protocol.hpp.

## flipped_180

const wayland::detail::bitfield<3, 21> wayland::server::output_transform::flipped_180

static

flip and rotate 180 degrees counter-clockwise

Definition at line 4011 of file wayland-server-protocol.hpp.

## flipped_270

const wayland::detail::bitfield<3, 21> wayland::server::output_transform::flipped_270

static

flip and rotate 270 degrees counter-clockwise

Definition at line 4013 of file wayland-server-protocol.hpp.

## flipped_90

const wayland::detail::bitfield<3, 21> wayland::server::output_transform::flipped_90

static

flip and rotate 90 degrees counter-clockwise

Definition at line 4009 of file wayland-server-protocol.hpp.

## normal

const wayland::detail::bitfield<3, 21> wayland::server::output_transform::normal

static

no transform

Definition at line 3999 of file wayland-server-protocol.hpp.

The documentation for this struct was generated from the following file:

- obj-x86_64-linux-gnu/wayland-server-protocol.hpp